///////////////////////////////////////////////////
// Implemation of some monsters...               //
// Monsters are made here, then grouped together in groups.js
///////////////////////////////////////////////////

function Worm()
{
  var m = new entity();
  with(m) {
    name = "worm";
    x = 45;
    y = 132;
    stats.hp = 5;
    stats.spd = 2;
  }
  return m;
}

function Bird()
{
  var m = new entity();
  with(m) {
    name = "bird";
    x = 45;
    y = 40;
    stats.hp = 7;
    stats.spd = 4;
  }
  return m;
}

function Green_Blob()
{
  var m = new entity();
  with(m) {
    name = "green blob";
    x = 60;
    y = 100;
    stats.hp = 20;
    stats.spd = 70;
  }
  return m;
}

function Blue_Blob()
{
  var m = new entity();
  with(m) {
    name = "blue blob";
    x = 45;
    y = 132;
    stats.hp = 32;
    stats.spd = 45;
  }
  return m;
}

function Ghost()
{
  var m = new entity();
  with(m) {
    name = "ghost";
    x = 20;
    y = 132;
    stats.maxhp = -40;
    stats.hp = -10;
    stats.minhp = 0;
    stats.spd = 5;
    stats.def = 10;
  }
  return m;
}

function Dungeon_Boss()
{
  var m = new entity();
  with(m) {
    name = "dungeon boss";
    x = 60;
    y = 74;
    stats.hp = 160;
    stats.spd = 70;
    stats.def = 30;
  }
  return m;
}

///////////////////////////////////////////////////
