
function Shop(shop_keeper, welcome_text, item_list, cost_mutator)
{
  var cost_mutator = 2;
  var item_cost_list = new Array();
  for (var i = 0; i < item_list.length; ++i)
    item_cost_list.push(item_list[i].cost * cost_mutator);

  var menu = DefaultMenu(64, 64);
  menu.preRender = function() {
    GetSystemWindowStyle().drawWindow(menu.x, menu.y, menu.getWidth(), menu.getHeight());
    GetSystemWindowStyle().drawWindow(menu.x, menu.y + menu.getHeight() + 32, GetSystemFont().getStringWidth(party_money), GetSystemFont().getHeight());
    GetSystemFont().drawText(menu.x, menu.y + menu.getHeight() + 32, "$" + party_money);
    if (menu.selection >= 0 && menu.selection < item_cost_list.length)
      GetSystemFont().drawText(menu.x + 100, menu.y + menu.getHeight() + 32, item_cost_list[menu.selection]);
  }

  for (var i = 0; i < item_list.length; ++i)
  {
    menu.addText(item_list[i].name, function() {
      party_money -= item_cost_list[menu.selection];
      if (item_list[menu.selection] instanceof item)
      {
        GiveItem(item_list[menu.selection]);
      }
      else if(item_list[menu.selection] instanceof weapon)
      {
        GiveWeapon(item_list[menu.selection])
      }
      else if(item_list[menu.selection] instanceof spell)
      {
        var who = 0;
        GiveSpell(item_list[menu.selection], who);
      }
    });

    menu.items[menu.items.length - 1].isSelectable = function(){
      return (party_money >= item_cost_list[menu.selection]);
    }
  }

  Talk(shop_keeper, welcome_text, "middle");
  menu.execute();
}

function Freddys_Town_Shop()
{
  var item_list = new Array(Rusty_Sword());
  Shop("James", "Howdy, what'll be?", item_list);
}