var party_train = new Array();
var vehicles = new Array();

function AddPartyCharacter(name)
{
  party_train.push(name);
  ResortPartyTrain();
}

function ResortPartyTrain()
{
  for (var i = 0; i < party_train.length; ++i)
  {
    if (i == 0)
    {
      if (!IsInVehicle())
      {
        if (IsInputAttached())
          AttachInput(party_train[0]);
        if (IsCameraAttached())
          AttachCamera(party_train[0]);
        FollowPerson(party_train[i], "", 0); // o_0
      }
    }
    else
    {
      if (!IsInVehicle())
        FollowPerson(party_train[i], party_train[i - 1], 16);
        // 20 should be replaced with something like Math.max(GetPersonSpriteset(party_train[i]).images[0].width, GetPersonSpriteset(party_train[i]).images[0].height)
        // maybe...
    }
  }
}

function GetPartyLeader()
{
  if (IsPartyBeingLead())
    return party_train[0];
  else
    Abort("There is no party leader.");
}

function IsPartyBeingLead()
{
  return (party_train.length > 0);
}

function ClearParty()
{
  party_train = new Array();
}



function EnterVehicle(name){
  vehicles.push(name);
  GiveVehicleControl();

  if (vehicles.length == 1) {
    for (var i = 0; i < party_train.length; ++i)
    {

    }
  } 
}

function GiveVehicleControl()
{
  if (IsInputAttached())
    AttachInput(vehicles[vehicles.length - 1]);
  if (IsCameraAttached())
    AttachCamera(vehicles[vehicles.length - 1]);
}

function IsInVehicle()
{
  return (vehicles.length > 0)
}

function ExitVehicle()
{
  if (IsInVehicle())
    vehicles.pop();
  else
    Abort("There is no vehicle to exit from.");
  if (IsInVehicle())
    GiveVehicleControl();
  else
  {
    for (var i = 0; i < party_train.length; ++i)
    {

    }
    ResortPartyTrain();
  }
}