///////////////////////////////////////////////////
// Implemation of some spells...                 //
///////////////////////////////////////////////////

function Fire()
{
  var m = new spell();
  m.name = "Fire";
  m.desc = "Set your enemies on fire";
  m.use = UseFire;
  m.addOrder = new Array("AttackAliveMonsters", "AttackAliveNeutrals", "AttackAlivePlayers");
  return m;
}

function Water()
{
  var m = new spell();
  m.name = "Water";
  m.desc = "Flood your enemies away";
  m.use = UseWater;
  m.addOrder = new Array("AttackAliveMonsters", "AttackAliveNeutrals", "AttackAlivePlayers");
  return m;
}

function Cure1()
{
  var m = new spell();
  m.name = "Cure 1";
  m.desc = "Cures hp";
  m.power = 25;
  m.mp_cost = 15;
  m.use = UseCure1;
  m.canAttackAlivePlayers = true;
  m.canAttackAliveMonsters = true;
  m.canAttackAliveNeutrals = true;
  m.useable_outside_battle = true;
  m.addOrder = new Array("AttackAlivePlayers", "AttackAliveMonsters", "AttackAliveNeutrals");
  return m;
}

function DeathLevel3()
{
  var m = new spell();
  m.name = "Death Level 3";
  m.use = UseDeathLevel3;
  m.desc = "Cast death on your enemies";
  m.mp_cost = 30;
  m.addOrder = new Array("AttackAliveMonsters", "AttackAliveNeutrals", "AttackAlivePlayers");
  return m;
}

///////////////////////////////////////////////////

function UseFire(fromWho, onWho)
{
  for (var i = 0; i < onWho.length; ++i)
    entities[onWho[i]].stats.take_hp(this.power);
}

function UseWater(fromWho, onWho)
{
  for (var i = 0; i < onWho.length; ++i)
    entities[onWho[i]].stats.take_hp(this.power);
}

function UseCure1(fromWho, onWho)
{
  for (var i = 0; i < onWho.length; ++i)
    entities[onWho[i]].stats.take_hp(-this.power);
}

function UseDeathLevel3(fromWho, onWho)
{
  for (var i = 0; i < onWho.length; ++i)
    if (entities[onWho[i]].stats.lvl % 3 == 0)
      entities[onWho[i]].stats.hp = 0;
}

///////////////////////////////////////////////////


function Spell_Who_Screen()
{
  var menu = DefaultMenu(16, 16);
  for (var i = 0; i < entities.length; ++i)
    if (entities[i].type == "player")
      menu.addText(entities[i].name, 
      function(){ 
        for (var j = 0; j < entities.length; ++j)
          if (entities[j].type == "player" && j == menu.selection)
          {
            menu.done = true;
            return menu.selection;
          }
      });  

  return menu.execute();
}


function Spell_Use_Screen()
{

}