
function Stats_Screen(){
  var background = GrabImage(0,0, GetScreenWidth(), GetScreenHeight());
  var menu = new Menu(96, 16);
  menu.addDefaultKeys(GameUpKey, GameDownKey, GameActionKey, GameEscapeKey);

  for(var i = 0; i < entities.length; ++i){
    menu.addText(entities[i].name, function(){ }); 
  }
  
  menu.addText("Exit", function(){ menu.done = true; });

  menu.preRender = function()
  {
    background.blit(0,0);
    GetGameWindowStyle().drawWindow(menu.x, menu.y, menu.getWidth(), menu.getHeight());
    GetGameWindowStyle().drawWindow(menu.x, menu.y + menu.getHeight() + 16, GetScreenWidth() - 32 - menu.x, GetScreenHeight() - 32 - menu.y - menu.getHeight());
    menu.handleSelection();
    if(menu.selection < entities.length)
      ShowStats(menu.x, menu.y + menu.getHeight() + 16, menu.selection);
  }
  
  menu.escapeable = function(){ return true; }
  menu.defaultMouseSupport(GameMouseStatus, GetGameMouse(), true);

  menu.execute();
  background.blit(0,0);
}




function ShowStats(base_x, base_y, entity_index)
{
  with (entities[entity_index]) {  
    GetGameFont().drawText(base_x + 16, base_y + 16, name);
    GetGameFont().drawText(base_x + 16, base_y + 32, "Hp: " + stats.hp + " / " + stats.maxhp);
  }
}